magit (4.3.2-1) unstable; urgency=medium

  * New upstream release
  * Ignore extraneous diffs in doc/magit.texi in d/s/options
  * Refresh patches for the new release
  * Update section to editors
  * Loosen version requirements in Build-Depends
    - ${elpa:Depends} will generate the correct versioned dependencies for
      the binary packages, which will be enforced for autopkgtest.
  * Run 'wrap-and-sort -ast'

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 01 Apr 2025 21:52:26 -0700

magit (4.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Update transient build-dep to require 0.8.5.

  [ Sean Whitton ]
  * Require Emacs 30.1 for newer seq.el (Closes: #1099800).
    Thanks to Sven Joachim for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 09 Mar 2025 11:52:18 +0800

magit (4.3.1-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Bump standards-version to 4.7.2
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 07 Mar 2025 22:42:43 -0800

magit (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new version
  * Update Build-Depends in d/control
    - Drop dependency on elpa-dash.
    - Add new dependency of elpa-llama.
    - Update version requirements of elpa-compat and elpa-transient.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Feb 2025 00:01:06 -0800

magit (4.2.0-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends package versions in d/control
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 00:27:05 -0800

magit (4.1.3-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release
  * Add d/gbp.conf matching the current practice
  * Refresh patches for the new version

  [ Barak A. Pearlmutter ]
  * Avoid race condition in building documentation from debian/rules

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 10 Dec 2024 15:38:43 -0800

magit (4.1.2-2) unstable; urgency=medium

  [ Xiyue Deng ]
  * Migrate elpa-git-commit into elpa-magit (Closes: #1086758)
    - git-commit has become part of magit since 4.1.0
    - Move install files from elpa-git-commit to elpa-magit
    - d/control: make elpa-git-commit a transitional package
  * Add myself to uploaders
  * d/control: enable "Testsuite: autopkgtest-pkg-elpa"
  * d/watch: modernize using substitute strings to be more robust

  [ Aymeric Agon-Rambosson ]
  * d/rules: Remove DEB_VERSION_UPSTREAM environment variable.
  * d/control:
    - Update Build-Depends versions.
    - elpa-magit: add Provides: elpa-git-commit.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 05 Nov 2024 09:44:45 -0800

magit (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Forward port quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Nov 2024 23:00:17 +0000

magit (4.1.1-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Forward port quilt patches
  * Bump standards version

  [ Aymeric Agon-Rambosson ]
  * Drop temporary patch to reformat Package-Requires multiline header. We
    now need dh-elpa with minimal 2.1.2 version.
  * Remove explicit versioned dependencies on elpa-transient for binary
    packages (dh-elpa correctly adds them).
  * Update explicit versioned build dependencies (needed for tests).
  * Reinstate DEB_VERSION_UPSTREAM environment variable (git-commit.el
    specifies no Version header).

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Nov 2024 15:01:12 +0000

magit (3.3.0+git20240412.1.da14749d-2) unstable; urgency=medium

  * Team upload.
  * d/patches: define committer info for git-commit in tests
    (Closes: #1073473)
  * d/rules: set `LC_ALL=C.UTF-8` for `magit-status:file-sections` test

 -- Jeremy Sowden <azazel@debian.org>  Tue, 25 Jun 2024 12:42:53 +0100

magit (3.3.0+git20240412.1.da14749d-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1068875).
  * Refresh patches.
  * d/control: Add explicit versioned dependency on elpa-transient for
    elpa-magit and elpa-git-commit. This is temporary, pending changes to
    dh-elpa. (Closes: #1068903).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 14 Apr 2024 00:52:46 +0200

magit (3.3.0+git20231219.1.c7ab6931-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/patches:
    - Drop 0004-tramp-test-overide.patch (not applicable anymore)
    - Drop repair-magit-get-and-submodule-tests.patch (applied upstream)
    - Drop fix-magit-test-unable-to-find-compat-through-with-editor.patch
      (applied upstream)
    - Refreshed other patches
  * d/control:
    - Add minimal version to elpa-transient Build-Depends.
    - Keep only necessary Build-Depends.
  * Remove obsolete d/*.prerm files.
  * d/copyright: Update copyright years.
  * d/rules:
    - Remove unneeded dh_clean override.
    - Remove EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION environment
      variable (tests run fine without it).
    - Remove GIT_*, LC_ALL environment variables (not needed anymore).
    - Remove DEB_VERSION_UPSTREAM environment variable (not needed
      anymore).
  * Update d/*.elpa files in line with upstream changes.
  * Add temporary patch to reformat multiline Package-Requires to
    monoline.
  * Improve documentation packaging (more formats, added doc-base).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 26 Dec 2023 18:56:47 +0100

magit (3.3.0-3) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Repair watch file.

  [ Xiyue Deng ]
  * Reformat Build-Depends to list one per line in alphabetic order to
    make further changes easier to track.
  * Fix `make test` failure.  Closes: #1042289.
    - Add elpa-compat to Build-Depends.
    - Cherrypick upstream patch partially to detect compat in LOAD_PATH.
  * Update Standards-Version to 4.6.2.  No change needed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 29 Jul 2023 10:24:44 +0100

magit (3.3.0-2) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Add myself, Aymeric Agon-Rambosson, to Uploaders.
  * Add repair-magit-get-and-submodule-tests.patch.
  * Add repair-git-unable-to-detect-address.patch (Autopkgtest).
  * Add Bug-Submit field to d/upstream/metadata.

  [ Sean Whitton ]
  * Team upload.
  * override_dh_elpa_test: Export EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION=t
    (Closes: #1020153).
    - Add build-dep on emacs-nox|emacs >= 1:28.2+1-9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 24 Dec 2022 12:23:59 -0700

magit (3.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 06 Oct 2021 14:58:32 +0200

magit (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Aug 2021 14:07:37 -0700

magit (3.2.1-1) unstable; urgency=medium

  [ Rémi Vanicat ]
  * New upstream version
  * Adapt watch file
  * Adapt patches
    - 0002-Do-not-require-async.patch not needed anymore
    - 0005-Update-version-and-require-of-git-commit.patch: most is
      integrated upstream, the rest in:
      0004-Signal-in-the-documentation-there-are-Debian-patches.patch
  * Add an elpa-magit-section package.
    It has been separated upstream.

  [ Matteo F. Vescovi ]
  * New upstream version 3.2.1
    - debian/patches/: #0004 refreshed against v3.2.1
  * debian/control:
    - debhelper bump 12 -> 13
    - RRR set
    - S-V bump 4.1.4 -> 4.6.0 (no changes needed)
  * debian/watch: version bump 3 -> 4

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 21 Aug 2021 14:48:14 +0200

magit (2.99.0.git0957.ge8c7bd03-1) unstable; urgency=medium

  [ Rémi Vanicat ]
  * Drop transitional package magit from src:magit",
    thanks to Holger Levsen (Closes: #940746).
  * Git snapshot e8c7bd03 (Thanks to Jonas Bernoulli
    https://github.com/magit/magit/issues/4095).
    Bug fix: "please package new upstream snapshot", thanks to Antoine
    Beaupre (Closes: #952560).
  * Update patches to new version
  * Change build depend from magit-popup to transient

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove unnecessary ${misc:Built-Using} for elpa-magit, elpa-git-
    commit

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 06 Jul 2020 17:56:39 +0200

magit (2.90.1-2) unstable; urgency=medium

  * Remove emacs24 and emacs25 from Enhances
  * Use nil as default for magit-repository-directories
    fix: "magit-status doesn't honor path auto-completion
    anymore", thanks to Matteo F. Vescovi (Closes: #914137).

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Feb 2019 08:17:36 +0100

magit (2.90.1-1) unstable; urgency=medium

  * New upstream version
  * Update patches metadata
  * Update debian/docs file
  * Update debian/elpa-magit.elpa file
  * Update debian/watch to add the v in the version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 17 Nov 2018 23:05:08 +0100

magit (2.13.0-3) unstable; urgency=medium

  * Fix for Lintian:
    - change dependency on debhelper
    - put magit transitional package in optional
  * Standards-Version: 4.1.4, no change needed
  * Use https for magit home page
  * Change maintainer to the current mailing list

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 09 Jul 2018 10:16:38 +0200

magit (2.13.0-2) unstable; urgency=medium

  * Run test: set GIT_COMMITTER_EMAIL and GIT_AUTHOR_EMAIL to let test run
    even if machine has no domain (Closes: #902640),
    thanks to Santiago Vila <sanvila@debian.org>

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 29 Jun 2018 08:50:29 +0200

magit (2.13.0-1) unstable; urgency=medium

  * New upstream version
  * Run test:
    * Depend on git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub
    * Set some variable (locale, and GIT variables)
    * Ensure tramp test do not write in ~/

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Jun 2018 18:52:31 +0200

magit (2.11.0-1) unstable; urgency=medium

  * New upstream version
  * Add magit-bookmark.el and magit-imenu.el to elpa-magit

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 16 Sep 2017 14:57:13 +0200

magit (2.10.3-1) unstable; urgency=medium

  * New upstream version
  * Normal elpa dependency for dash
  * Build depend on newer dh-elpa
  * Enhances: emacs, emacs24, emacs25 and git
  * Standards-Version: 4.0.0, no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 19 Jun 2017 17:16:59 +0200

magit (2.10.1-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 01 Feb 2017 21:47:01 +0100

magit (2.10.0-2) unstable; urgency=medium

  * Team upload.
  * Add files new in this upstream version to d/elpa-magit.elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 15 Jan 2017 10:34:53 -0700

magit (2.10.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Fix typo in elpa-git-commit's description.

  [ Rémi Vanicat ]
  * New upstream version
  * debian/watch: dowload the "source" archive
  * Build tested with emacs25: no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 15 Jan 2017 10:45:04 +0100

magit (2.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 09 Dec 2016 11:27:27 +0100

magit (2.8.0-1) unstable; urgency=medium

  * New upstream version
  * use dh-elpa to find upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 15 Sep 2016 20:11:09 +0200

magit (2.7.0-1) unstable; urgency=medium

  * Use dh-elpa for generating *-pkg.el files
    needed for better version management
  * Using Built-Using
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 21 May 2016 14:29:11 +0200

magit (2.6.2-1) unstable; urgency=low

  * Standards-Version: 3.9.8, no change needed
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 06 May 2016 17:52:58 +0200

magit (2.6.1-1) unstable; urgency=low

  * Standards-Version: 3.9.7, no changec needed
  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 15 Apr 2016 00:05:12 +0200

magit (2.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 07 Apr 2016 14:24:59 +0200

magit (2.5.0-2) unstable; urgency=medium

  * Add Breaks on older magit to make piupart happy (Closes: #814620)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 14 Feb 2016 10:10:12 +0100

magit (2.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 31 Jan 2016 12:25:04 +0100

magit (2.4.1-1) unstable; urgency=low

  * New upstream version.
  * Bug fix: "missing info files", thanks to David Bremner (Closes:
    #806499).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 21 Jan 2016 19:24:14 +0100

magit (2.3.1-2) unstable; urgency=medium

  * Use dh --with elpa

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Dec 2015 16:15:37 +0000

magit (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "maintainer address bounces", thanks to Ansgar Burchardt
    (Closes: #804654).
  * Adding some code in prerm for problem when upgrading from elpa-magit
    2.2.2-3. Fix: "pre-removal script fails: “No such file or directory”
    for ‘site-lisp’ entries", thanks to Ben Finney (Closes: #803606).

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 11 Nov 2015 16:56:48 +0100

magit (2.3.0-2) unstable; urgency=medium

  * Change the elpa version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 31 Oct 2015 16:51:39 +0100

magit (2.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 30 Oct 2015 12:59:28 +0100

magit (2.2.2-3) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * refresh missing upstream repo file patch from 2.2.2

  [ Rémi Vanicat ]
  * Using dh-elpa
  * Update uploaders, thanks to Marius and Teemu for the past help.

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 15 Sep 2015 18:33:25 +0200

magit (2.2.2-2) unstable; urgency=low

  * fix incompatibility with emacs 23
  * Bug fix: "should Conflict emacs23", thanks to Bob Proulx (Closes:
    #798482).

 -- Rémi Vanicat <vanicat@debian.org>  Thu, 10 Sep 2015 10:18:43 +0200

magit (2.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #782538).

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 06 Sep 2015 16:46:13 +0200

magit (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to debhelper 9.
  * Modify debian packaging scripts per upstream changes.
  * Patch upstream Makefile to not disable site init for byte compilation.
  * Adjusments for including new upstream documentation.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Sep 2015 12:02:12 +0100

magit (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Use releases from Github and use HTTPS.
  * Add emacsen.compat file (emacsen policy 2.0.8).
  * Don't depend on dpkg, install-info (policy 3.9.5).
  * Depend on emacsen-common, not emacs (emacsen policy 2.0.8)
    (closes: #754019).
  * Bump standards-version to 3.9.5.
  * Use custom-set-faces instead of setq in example (closes: #720883).
  * Use canonical Vcs addresses to make lintian happy.
  * Drop bug-718861.patch since new upstream version contains it.
  * Depend on git instead of transitional git-core package.
  * Build-Depend on emacs instead of emacs23 since emacs23 is going
    to be removed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Fri, 25 Jul 2014 17:25:43 +0000

magit (1.2.0-2) unstable; urgency=low

  * Backport patch to fix incompatibility with emacs-snapshot 24.3.50
    (Closes: #718861)
    - bug-718861.patch

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 06 Aug 2013 12:27:17 +0300

magit (1.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 13 May 2013 19:36:29 +0000

magit (1.2.0-1~experimental1) experimental; urgency=low

  * New upstream release (Closes: #695479).
  * Drop patch autogenerate-autoloads.diff.
  * Bump standards-version to 3.9.4, no changes needed.
  * Upload to experimental since wheezy is frozen.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sun, 24 Feb 2013 17:49:45 +0000

magit (1.1.1-3) unstable; urgency=low

  * Add emacs24 to the list of supported emacs versions (closes: #679781)

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 02 Jul 2012 16:19:41 +0300

magit (1.1.1-2) unstable; urgency=low

  * Backport upstream commit c8cfaf37b7c142edc6714d86691b8720f2606328
    for autogenerating autoloads (closes: #671922).
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Update upstream homepage URL.
  * Remove DM-Upload-Allowed.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 21 May 2012 14:35:24 +0000

magit (1.1.1-1) unstable; urgency=low

  [ Timo Juhani Lindfors]
  * New upstream release.

  [ Rémi Vanicat ]
  * Install contrib .el files

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Mon, 23 Jan 2012 09:31:11 +0200

magit (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Use upstream tarball instead of regenerating one from git tag,
    mostly because make dist nowadays embeds version numbers to the
    *.el files (LP: #853567).
  * Drop patch inherit-standard-faces.diff that is now upstream.
  * Update watch file path.

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Sat, 31 Dec 2011 02:31:11 +0200

magit (1.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Drop article from package description to make lintian happy.
  * Add patch inherit-standard-faces.diff
    - Backport upstream commit 3d0ea1d60fbc0a8135e2146418c0c64c9d05705a
      to use standard faces where possible (closes: #637193).

 -- Timo Juhani Lindfors <timo.lindfors@iki.fi>  Tue, 30 Aug 2011 23:37:02 +0000

magit (1.0.0-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release.
  * Drop support for emacsen other than emacs23 or emacs-snapshot
    (closes: #619480).

  [ Teemu Hukkanen ]
  * Add DM-Upload-Allowed.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 11 Apr 2011 21:57:51 +0300

magit (0.8.2+20110220-1) unstable; urgency=low

  [ Timo Juhani Lindfors ]
  * New upstream release (closes: #586039, #586047, #591646, #591646, #597149).
  * Provide debian/watch file (closes: #586051).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Simplify debian/rules and upstream all debian/patches.
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Update copyright information in DEP-5 format.

  [ Teemu Hukkanen ]
  * Move package to collab-maint.
  * Add install-info to Build-Depends.
  * Add myself to Uploaders.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Mon, 21 Mar 2011 21:02:51 +0200

magit (0.7-1.1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * Non-maintainer upload.
  * (Including pending maintainer changes, in wait of sponsoring.)
  * Bump Standard-Version to 3.8.4 (no changes needed)
  * Add Build-Dep on autoconf and automake, to support "autoreconf -fi"
  * debian/rules: install NEWS as upstream changelog
  * debian/docs: install README and AUTHORS as documentation

  [ Marius Vollmer ]
  * Added Homepage, Vcs-Git, and Vcs-Browser fields.
  * Added git-core and emacs to Depends (closes: 529040).
  * Use /usr/bin/emacsclient always (closes: 530266).
  * Don't include /usr/share/info/dir.gz (closes: 549590).
  * Switched to source format 3.0 (quilt).
  * Don't ship any generated files; instead,
    call autoreconf from debian/rules.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 10 Mar 2010 09:49:14 +0100

magit (0.7-1) unstable; urgency=low

  * first official debian upload (closes: #518818)

  [ RISKO Gergely ]
  * pointer added to GFDL-1.2 in debian/copyright
  * changed debian/compat to 7
  * standards-version to 3.8.1

  [ Marius Vollmer ]
  * Follow Debian Emacsen policy.
    - Use scripts in /usr/lib/emacsen-common/packages to
      byte-compile during installation.
  * List all authors in debian/copyright.
  * Lintian fixes.

  New upstream release.

  * Tagging, on 't' and 'T'.

  * Stashing, on 'z' and 'Z'.

  * Wazzup, on 'w'.  Wazzup gives you an overview over how other
    branches relate to the current one.

  * There is more control over pushing.  'P' now takes a prefix argument
    and pushing a branch without a default remote will ask for one.

  * Logs have changed a bit: 'l' shows the traditional brief log, and
    'L' shows a more verbose log.  Use the prefix arg to specify the
    range of the log.

  * M-x magit-status doesn't prompt anymore for a directory when invoked
    from within a Git repository.  Use C-u to force a prompt.

  * When you have nothing staged, 'c' will now explicitly ask whether to
    commit everything instead of just going ahead and do it.  This can
    be customized.

  * The digit keys '1', '2', '3', and '4' now show sections on the
    respective level and hide everything below.  With Meta, they work on
    all sections; without, they work only on sections that are a parent
    or child of the current section.

  * Typing '+' and '-' will change the size of hunks, via the "-U"
    option to git diff.  '0' resets hunks to their default size.

  * Typing 'k' on the "Untracked files" section title will offer to
    delete all untracked files.

  * Magit understands a bit of git-svn: the status buffer shows unpushed
    and unpulled commits, 'N r' runs git svn rebase, and 'N c' runs git
    svn dcommit.

  * Magit now also works when the direcory is accessed via tramp.

  * M-x magit-status can also create new repositories when given a
    directory that is not a Git repository.

  * Magit works better with oldish Gits that don't understand "--graph",
    for example.

  * The name of the Git program and common options for it can be
    customized.

 -- Marius Vollmer <marius.vollmer@gmail.com>  Sun, 26 Apr 2009 19:13:16 +0300

magit (0.6.1-1) unstable; urgency=low

  * Fixed a bug that screwed up working with multiple repositories.

 -- Marius Vollmer <marius.vollmer@gmail.com>  Mon, 13 Oct 2008 00:40:08 +0300

magit (0.6-1) unstable; urgency=low

  Almost everything has changed.  Please read the manual again.  Some
  highlights:

  * Magit now works with Git 1.6.0.  (John Wiegley)

  * Support for interactive rewriting.

  * Sections can be shown and hidden.

  * Staging, unstaging, applying, reverting and discarding changes can now
    be done line-by-line, not only hunk-by-hunk.

 -- Marius Vollmer <marius.vollmer@gmail.com>  Mon, 13 Oct 2008 00:32:44 +0300

magit (0.5-1) unstable; urgency=low

  * First release.

 -- Marius Vollmer <marius.vollmer@uni-dortmund.de>  Thu, 14 Aug 2008 02:11:00 +0300
